package com.bankaudit.util;

import org.hibernate.dialect.MySQLDialect;
import org.hibernate.dialect.function.StandardSQLFunction;
import org.hibernate.type.StandardBasicTypes;

public class MySQLCustomDialect extends MySQLDialect {
    public MySQLCustomDialect() {
        super();
        registerFunction("group_concat", 
            new StandardSQLFunction("group_concat", 
                StandardBasicTypes.STRING));
        registerFunction("limit", 
                new StandardSQLFunction("limit", 
                    StandardBasicTypes.STRING));
    }
}
